"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _styles = require("@material-ui/styles");

var _default = (0, _styles.makeStyles)(function (theme) {
  return {
    xsmall: {
      width: '25px',
      height: '25px',
      backgroundColor: theme.palette.background.secondaryGray,
      fontSize: 10,
      color: theme.palette.text.primary
    },
    small: {
      width: '34px',
      height: '34px',
      backgroundColor: theme.palette.background.secondaryGray,
      fontSize: 14,
      color: theme.palette.text.primary
    },
    medium: {
      width: '48px',
      height: '48px',
      backgroundColor: theme.palette.background.secondaryGray,
      color: theme.palette.text.primary
    },
    large: {
      width: '60px',
      height: '60px',
      backgroundColor: theme.palette.background.secondaryGray,
      color: theme.palette.text.primary
    }
  };
});

exports.default = _default;