"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _svgIcon = _interopRequireDefault(require("./svgIcon"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function WalletIcon(props) {
  var style = props.style,
      htmlColor = props.htmlColor,
      others = _objectWithoutProperties(props, ["style", "htmlColor"]);

  return /*#__PURE__*/React.createElement(_svgIcon.default, _extends({
    style: style
  }, others, {
    width: "24",
    height: "24",
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }), /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M20 6.17071V5C20 3.34315 18.6569 2 17 2H5C3.34315 2 2 3.34315 2 5V19C2 20.6569 3.34315 22 5 22H19C20.6569 22 22 20.6569 22 19V9C22 7.69378 21.1652 6.58254 20 6.17071ZM4 5C4 4.44772 4.44772 4 5 4H17C17.5523 4 18 4.44772 18 5V6H5C4.44772 6 4 5.55228 4 5ZM4 7.82929C4.31278 7.93985 4.64936 8 5 8H19C19.5523 8 20 8.44771 20 9V11H17C15.3431 11 14 12.3431 14 14C14 15.6569 15.3431 17 17 17H20V19C20 19.5523 19.5523 20 19 20H5C4.44772 20 4 19.5523 4 19V7.82929ZM17 13H20V15H17C16.4477 15 16 14.5523 16 14C16 13.4477 16.4477 13 17 13Z",
    fill: htmlColor
  }));
}

WalletIcon.defaultProps = {
  style: {
    fontSize: 24
  },
  htmlColor: "#808191"
};
WalletIcon.propTypes = {
  style: _propTypes.default.object,
  htmlColor: _propTypes.default.string
};
var _default = WalletIcon;
exports.default = _default;